# Update an existing tag policy

Launch stage: GA

`PATCH /api/2.1/tag-policies/{tag_key}`

Updates an existing tag policy for a single governed tag. For Terraform usage, see the [Tag Policy Terraform documentation](https://registry.terraform.io/providers/databricks/databricks/latest/docs/resources/tag_policy). To manage permissions for tag policies, use the [Account Access Control Proxy API](https://docs.databricks.com/api/workspace/accountaccesscontrolproxy).

API scopes: tags

## Path parameters

- `tag_key` (string, required, Immutable)
  Example: `sensitivity_level`
  Constraints: `[ 1 .. 256 ] characters`

## Query parameters

- `update_mask` (string, required)

## Request body

- `description` (string, optional)
  Example: `Identifies the sensitivity level of the data for compliance purposes.`
  Constraints: `<= 4096 characters`
- `values` (array of object, optional, Unordered list)
  Constraints: `<= 500 items`
  - `name` (string, required)
    Constraints: `[ 1 .. 256 ] characters`

## Returns

Returns the TagPolicy object.

## Request

```json
{
  "description": "Updated description: Identifies the sensitivity level of the data for compliance and regulatory purposes.",
  "values": [
    {
      "name": "public"
    },
    {
      "name": "internal"
    },
    {
      "name": "confidential"
    },
    {
      "name": "restricted"
    },
    {
      "name": "highly_restricted"
    }
  ]
}
```

## Response

```json
{
  "create_time": "2025-01-01T10:00:00Z",
  "description": "Updated description: Identifies the sensitivity level of the data for compliance and regulatory purposes.",
  "id": "12345678-abcd-4ef5-9012-3456789abcde",
  "tag_key": "sensitivity_level",
  "update_time": "2025-01-01T10:05:30Z",
  "values": [
    {
      "name": "public"
    },
    {
      "name": "internal"
    },
    {
      "name": "confidential"
    },
    {
      "name": "restricted"
    },
    {
      "name": "highly_restricted"
    }
  ]
}
```

